package com.bsoft.api.model.reqmodel;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class Disease {
    /**
     * ID或者等级查询疾病实体
     */
    public static class DiseaseIDorLevel {

        @ApiModelProperty(value = "时间",required = true)
        private String date;
        @ApiModelProperty(value = "疾病ID",required = false)
        private Integer diseaseId;
        @ApiModelProperty(value = "等级",required = false)
        private Integer level;
        @ApiModelProperty(value = "科室编码",required = false)
        private String docCode;
        @ApiModelProperty(value = "医生编码",required = false)
        private String deptCode;

        public Integer getDiseaseId() {
            return diseaseId;
        }

        public void setDiseaseId(Integer diseaseId) {
            this.diseaseId = diseaseId;
        }

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public Integer getLevel() {
            return level;
        }

        public void setLevel(Integer level) {
            this.level = level;
        }

        public String getDocCode() {
            return docCode;
        }

        public void setDocCode(String docCode) {
            this.docCode = docCode;
        }

        public String getDeptCode() {
            return deptCode;
        }

        public void setDeptCode(String deptCode) {
            this.deptCode = deptCode;
        }

    }

    /**
     * 名称查询疾病实体
     */
    public static class DiseaseName {

        @ApiModelProperty(value = "时间",required = true)
        private String date;
        @ApiModelProperty("疾病名称")
        private String mdcName;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public String getMdcName() {
            return mdcName;
        }

        public void setMdcName(String mdcName) {
            this.mdcName = mdcName;
        }
    }
}


